openapi: 3.0.0
servers:
  - url: 'https://api.calendly.com'
info:
  description: |-
    Calendly’s API is [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer)-based and has predictable resource-oriented URLs. It uses **JSON** for request and response bodies and standard HTTP methods, authentication, and response codes.<br>

    ##### Authenticate with personal access tokens or OAuth 2.0

    To access Calendly data through the API, you can authenticate with **personal access tokens** or **OAuth 2.0**. To learn more about these authentication methods and when and how to use them, see [Getting Started with the Calendly API](https://developer.calendly.com/getting-started).
  version: 2.0.0
  title: Calendly API
  contact:
    email: support+developer@calendly.com
    name: Calendly Developer Support
    url: 'https://developer.calendly.com/get-help'
  termsOfService: 'https://calendly.com/legal/developer-policy'
tags:
  - name: Activity Log
  - name: Availability
  - name: Calendar Events
  - name: Contacts
  - name: Data Compliance
  - name: Event Types
  - name: Groups
  - name: Invitees
  - name: Locations
  - name: Notetaker
  - name: Organizations
  - name: Outgoing Communications
  - name: Polls
  - name: Routing Forms
  - name: Scheduled Events
  - name: Scheduling Links
  - name: Shares
  - name: Subscriptions
  - name: Super Admin Roles
  - name: Trials
  - name: Users
  - name: Webhooks
paths:
  '/scheduled_events/{uuid}/invitees':
    get:
      summary: List Event Invitees
      tags:
        - Scheduled Events
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - name: uuid
          in: path
          required: true
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
            enum:
              - active
              - canceled
          description: Indicates if the invitee "canceled" or still "active"
        - name: sort
          in: query
          schema:
            type: string
            default: 'created_at:asc'
          description: 'Order results by the **created_at** field and direction specified: ascending ("asc") or descending ("desc")'
        - name: email
          in: query
          schema:
            type: string
            format: email
            example: bob@example.com
          description: Indicates if the results should be filtered by email address
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Count'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                properties:
                  collection:
                    type: array
                    description: The set of event invitees matching the criteria
                    items:
                      $ref: '#/components/schemas/Invitee'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - collection
                  - pagination
              examples:
                Example:
                  value:
                    collection:
                      - cancel_url: 'https://calendly.com/cancellations/AAAAAAAAAAAAAAAA'
                        created_at: '2020-11-23T17:51:18.327602Z'
                        email: test@example.com
                        event: 'https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA'
                        name: John Doe
                        first_name: John
                        last_name: Doe
                        new_invitee: null
                        old_invitee: null
                        questions_and_answers:
                          - answer: radio button answer
                            position: 0
                            question: Question with Radio Buttons answer type
                          - answer: |-
                              Multiple line
                              Answer
                            position: 1
                            question: Question with Multiple Lines answer type
                          - answer: |-
                              Answer 1
                              Answer 2
                              Answer 3
                            position: 2
                            question: Question with Checkboxes answer type
                        reschedule_url: 'https://calendly.com/reschedulings/AAAAAAAAAAAAAAAA'
                        rescheduled: false
                        status: active
                        text_reminder_number: null
                        timezone: America/New_York
                        tracking:
                          utm_campaign: null
                          utm_source: null
                          utm_medium: null
                          utm_content: null
                          utm_term: null
                          salesforce_uuid: null
                        updated_at: '2020-11-23T17:51:18.341657Z'
                        uri: 'https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA/invitees/AAAAAAAAAAAAAAAA'
                        routing_form_submission: 'https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA'
                        payment:
                          external_id: ch_AAAAAAAAAAAAAAAAAAAAAAAA
                          provider: stripe
                          amount: 1234.56
                          currency: USD
                          terms: 'sample terms of payment (up to 1,024 characters)'
                          successful: true
                        no_show: null
                        reconfirmation:
                          created_at: '2020-11-23T17:51:18.341657Z'
                          confirmed_at: '2020-11-23T20:01:18.341657Z'
                        scheduling_method: null
                        invitee_scheduled_by: null
                    pagination:
                      count: 20
                      next_page: 'https://calendly.com/scheduled_events/AAAAAAAAAAAAAAAA/invitees?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi'
                      previous_page: 'https://calendly.com/scheduled_events/AAAAAAAAAAAAAAAA/invitees?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H'
                      next_page_token: sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi
                      previous_page_token: VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/GET_INVITEES_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Returns a list of Invitees for an event.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:read`
      operationId: list-event-invitees
  /scheduled_events:
    get:
      summary: List Events
      description: |-
        Returns a list of  Events.

        * Pass `organization` parameter to return events for that organization (requires admin/owner privilege)
        * Pass `user` parameter to return events for a specific User
        * Pass `group` parameter to return events for a specific Group (requires organization admin/owner or group admin privilege)

        **NOTES:**
        * If you are the admin/owner of the organization, you can use both `organization` and `user` to get a list of events for a specific user within your organization.
        * If you are the admin/owner of the organization, you can use both `organization` and `group` to get a list of events for a specific group within your organization.

        * `user` can only be used alone when requesting your own personal events. This will return your events within any organization that you are currently in or were a part of in the past.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:read`
      tags:
        - Scheduled Events
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - name: user
          in: query
          schema:
            type: string
            format: uri
            example: 'https://api.calendly.com/users/EBHAAFHDCAEQTSEZ'
          description: Return events that are scheduled with the user associated with this URI
        - schema:
            type: string
            format: uri
            example: 'https://api.calendly.com/organizations/EBHAAFHDCAEQTSEZ'
          in: query
          name: organization
          description: Return events that are scheduled with the organization associated with this URI
        - name: invitee_email
          in: query
          schema:
            type: string
            format: email
            example: alice@example.com
          description: Return events that are scheduled with the invitee associated with this email address
        - name: status
          in: query
          schema:
            type: string
            enum:
              - active
              - canceled
          description: Whether the scheduled event is `active` or `canceled`
        - name: sort
          in: query
          schema:
            type: string
          description: |-
            Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values.
            Supported fields are: start_time.
            Sort direction is specified as: asc, desc.
          example: 'start_time:asc'
        - name: min_start_time
          in: query
          schema:
            type: string
          description: 'Include events with start times after this time (sample time format: "2020-01-02T03:04:05.678123Z"). This time should use the UTC timezone.'
          example: '2020-01-02T12:30:00.000000Z'
        - name: max_start_time
          in: query
          schema:
            type: string
          description: 'Include events with start times prior to this time (sample time format: "2020-01-02T03:04:05.678123Z"). This time should use the UTC timezone.'
          example: '2020-01-02T12:30:00.000000Z'
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Count'
        - schema:
            type: string
          in: query
          name: group
          description: Return events that are scheduled with the group associated with this URI
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                required:
                  - collection
                  - pagination
                properties:
                  collection:
                    type: array
                    description: The set of scheduled events matching the criteria
                    items:
                      $ref: '#/components/schemas/Event'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
              examples:
                Example:
                  value:
                    collection:
                      - uri: 'https://api.calendly.com/scheduled_events/GBGBDCAADAEDCRZ2'
                        name: 15 Minute Meeting
                        meeting_notes_plain: Internal meeting notes
                        meeting_notes_html: <p>Internal meeting notes</p>
                        status: active
                        start_time: '2019-08-24T14:15:22.123456Z'
                        end_time: '2019-08-24T14:15:22.123456Z'
                        event_type: 'https://api.calendly.com/event_types/GBGBDCAADAEDCRZ2'
                        location:
                          type: physical
                          location: Calendly Office
                          additional_info: Please check in at the main lobby.
                        invitees_counter:
                          total: 0
                          active: 0
                          limit: 0
                        created_at: '2019-01-02T03:04:05.092125Z'
                        updated_at: '2019-01-02T03:04:05.092125Z'
                        event_memberships:
                          - user: 'https://api.calendly.com/users/GBGBDCAADAEDCRZ2'
                            user_email: user@example.com
                            user_name: John Smith
                            buffered_end_time: '2019-08-24T14:15:22.123456Z'
                            buffered_start_time: '2019-08-24T14:15:22.123456Z'
                        event_guests:
                          - email: user@example.com
                            created_at: '2022-04-21T17:10:48.484945Z'
                            updated_at: '2022-04-21T17:11:01.758636Z'
                        calendar_event:
                          kind: google
                          external_id: 8suu9k3hj00mni03ss12ba0ce0
                    pagination:
                      count: 20
                      next_page: 'https://api.calendly.com/scheduled_events?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi'
                      previous_page: 'https://api.calendly.com/scheduled_events?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H'
                      next_page_token: sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi
                      previous_page_token: VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/GET_SCHEDULED_EVENTS_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: list-scheduled-events
    parameters: []
  /event_types:
    get:
      summary: List User's Event Types
      description: |-
        Returns all Event Types associated with a specified User. Use:

        * `organization` to look up all Event Types that belong to the organization

        * `user` to look up a user's Event Types in an organization

        Either `organization` or `user` are required query params when using this endpoint.

        <!-- theme: info -->
          > #### Required scopes: `event_types:read`
      tags:
        - Event Types
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - name: active
          description: 'Return only active event types if true, only inactive if false, or all event types if this parameter is omitted.'
          in: query
          schema:
            type: boolean
        - name: organization
          description: 'View available personal, team, and organization event types associated with the organization''s URI.'
          in: query
          schema:
            type: string
            format: uri
          required: false
        - name: user
          description: 'View available personal, team, and organization event types associated with the user''s URI.'
          in: query
          schema:
            type: string
            format: uri
          required: false
        - name: user_availability_schedule
          description: 'Used in conjunction with `user` parameter, returns a filtered list of Event Types that use the given primary availability schedule.'
          in: query
          schema:
            type: string
            format: uri
          required: false
        - name: sort
          in: query
          schema:
            type: string
            default: 'name:asc'
          description: 'Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values.Supported fields are: name, position, created_at, updated_at. Sort direction is specified as: asc, desc.'
          examples:
            withOmittedDirection:
              summary: Omit direction with fallback to asc by default
              value: name
        - name: admin_managed
          description: 'Return only admin managed event types if true, exclude admin managed event types if false, or include all event types if this parameter is omitted.'
          in: query
          schema:
            type: boolean
          required: false
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Count'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                properties:
                  collection:
                    type: array
                    items:
                      $ref: '#/components/schemas/EventType'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - collection
                  - pagination
              examples:
                Example:
                  value:
                    collection:
                      - uri: 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA'
                        name: 15 Minute Meeting
                        active: true
                        booking_method: instant
                        slug: acmesales
                        scheduling_url: 'https://calendly.com/acmesales'
                        duration: 15
                        duration_options:
                          - 1
                          - 13
                          - 15
                          - 720
                        kind: solo
                        pooling_type: round_robin
                        type: StandardEventType
                        color: '#fff200'
                        created_at: '2019-01-02T03:04:05.678123Z'
                        updated_at: '2019-08-07T06:05:04.321123Z'
                        internal_note: Internal note
                        is_paid: false
                        description_plain: 15 Minute Meeting
                        description_html: <p>15 Minute Meeting</p>
                        profile:
                          type: User
                          name: Tamara Jones
                          owner: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                        secret: true
                        deleted_at: null
                        admin_managed: false
                        locations:
                          - kind: inbound_call
                            phone_number: + 380934567654
                            additional_info: Additional information about location
                        position: 0
                        custom_questions:
                          - name: Company Name
                            type: string
                            position: 0
                            enabled: true
                            required: true
                            answer_choices: []
                            include_other: false
                          - name: What would you like to discuss?
                            type: text
                            position: 0
                            enabled: true
                            required: true
                            answer_choices: []
                            include_other: false
                          - name: Number of employees
                            answer_choices:
                              - '1'
                              - 2-10
                              - 11-20
                              - 20+
                            enabled: true
                            include_other: true
                            position: 2
                            required: false
                            type: single_select
                          - name: Multi-Select Question
                            answer_choices:
                              - Answer 1
                              - Answer 2
                              - Answer 3
                              - Answer 4
                            enabled: true
                            include_other: true
                            position: 2
                            required: false
                            type: multi_select
                          - name: Phone Number
                            type: phone_number
                            position: 0
                            enabled: true
                            required: true
                            answer_choices: []
                            include_other: false
                        locale: en
                    pagination:
                      count: 20
                      next_page: 'https://api.calendly.com/event_types?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi'
                      previous_page: 'https://api.calendly.com/event_types?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H'
                      next_page_token: sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi
                      previous_page_token: VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/EVENT_TYPES_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: list-event-types
    post:
      summary: Create Event Type
      description: |-
        Create a new Event Type

        **NOTE:**
        * Currently, this endpoint only supports one-on-one event types (kind: "solo").

        <!-- theme: info -->
          > #### Required scopes: `event_types:write`
      x-internal: false
      tags:
        - Event Types
      security:
        - oauth2: []
        - personal_access_token: []
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/EventType'
                required:
                  - resource
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: create-event-type
      x-stoplight:
        id: nuowpx7qfagsc
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - owner
                - name
              properties:
                active:
                  type: boolean
                  description: Indicates if the event type is active or not
                  default: false
                owner:
                  type: string
                  description: The owner for this event type
                  format: uri
                  example: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                name:
                  type: string
                  description: The event type name
                  example: 15 Minute Meeting
                description:
                  type: string
                  description: The event type description
                  example: 15 Minute Meeting
                duration:
                  type: integer
                  description: The length of sessions booked with this event type. Must be one of the duration options if they're provided.
                  example: 15
                  minimum: 1
                  maximum: 720
                duration_options:
                  type: array
                  example:
                    - 1
                    - 13
                    - 15
                    - 720
                  description: A maximum of 4 unique options is allowed. Each option must be >= 1 and <= 720.
                  items:
                    type: integer
                locations:
                  type: array
                  description: Configuration information for each possible location for this event type
                  items:
                    $ref: '#/components/schemas/LocationConfiguration'
                color:
                  type: string
                  x-stoplight:
                    id: lu1stb7rwvql4
                  description: The hexadecimal color value of the event type's scheduling page
                  pattern: '^#[a-f\d]{6}$'
                  example: '#fff200'
                locale:
                  type: string
                  x-stoplight:
                    id: mzonzpruv2cad
                  enum:
                    - de
                    - en
                    - es
                    - fr
                    - it
                    - nl
                    - pt
                    - uk
                  example: de
                  description: 'The locale on the event type, used to determine the language of the event type''s scheduling page'
    parameters: []
  '/users/{uuid}':
    get:
      summary: Get user
      tags:
        - Users
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - name: uuid
          in: path
          description: 'User unique identifier, or the constant "me" to reference the caller'
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                properties:
                  resource:
                    $ref: '#/components/schemas/User'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                      name: John Doe
                      slug: acmesales
                      email: test@example.com
                      scheduling_url: 'https://calendly.com/acmesales'
                      timezone: America/New York
                      time_notation: 12h
                      avatar_url: 'https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png'
                      created_at: '2019-01-02T03:04:05.678123Z'
                      updated_at: '2019-08-07T06:05:04.321123Z'
                      current_organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      resource_type: User
                      locale: en
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Returns information about a specified User.

        <!-- theme: info -->
          > #### Required scopes: `users:read`
      operationId: get-user
  /users/me:
    get:
      summary: Get current user
      tags:
        - Users
      security:
        - oauth2: []
        - personal_access_token: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                properties:
                  resource:
                    $ref: '#/components/schemas/User'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                      name: John Doe
                      slug: acmesales
                      email: user@example.com
                      scheduling_url: 'https://calendly.com/acmesales'
                      timezone: America/New York
                      time_notation: 12h
                      avatar_url: 'https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png'
                      created_at: '2019-01-02T03:04:05.678123Z'
                      updated_at: '2019-08-07T06:05:04.321123Z'
                      current_organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      resource_type: User
                      locale: en
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Returns basic information about your user account.

        <!-- theme: info -->
          > #### Required scopes: `users:read`
      operationId: get-current-user
  '/scheduled_events/{event_uuid}/invitees/{invitee_uuid}':
    parameters:
      - schema:
          type: string
        name: event_uuid
        in: path
        required: true
        description: The event's unique identifier
      - schema:
          type: string
        name: invitee_uuid
        in: path
        required: true
        description: The invitee's unique identifier
    get:
      summary: Get Event Invitee
      tags:
        - Scheduled Events
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/Invitee'
                required:
                  - resource
              examples:
                Invitee:
                  value:
                    resource:
                      cancel_url: 'https://calendly.com/cancellations/AAAAAAAAAAAAAAAA'
                      created_at: '2022-04-21T17:11:43.092010Z'
                      email: email@example.com
                      rescheduled: false
                      reschedule_url: 'https://calendly.com/reschedulings/AAAAAAAAAAAAAAAA'
                      event: 'https://api.calendly.com/scheduled_events/ABCDABCDABCDABCD'
                      name: John Doe
                      first_name: null
                      last_name: null
                      new_invitee: null
                      old_invitee: null
                      status: active
                      text_reminder_number: null
                      timezone: America/New_York
                      tracking:
                        utm_campaign: null
                        utm_source: null
                        utm_medium: null
                        utm_content: null
                        utm_term: null
                        salesforce_uuid: null
                      updated_at: '2020-01-01T20:30:00.000000Z'
                      uri: 'https://api.calendly.com/api/v2/scheduled_events/ABCDABCDABCDABCD/invitees/ABCDABCDABCDABCD'
                      questions_and_answers:
                        - answer: radio button answer
                          position: 0
                          question: Question with Radio Buttons answer type
                        - answer: |-
                            Multiple line
                            Answer
                          position: 1
                          question: Question with Multiple Lines answer type
                        - answer: |-
                            Answer 1
                            Answer 2
                            Answer 3
                          position: 2
                          question: Question with Checkboxes answer type
                      routing_form_submission: 'https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA'
                      payment:
                        external_id: ch_AAAAAAAAAAAAAAAAAAAAAAAA
                        provider: stripe
                        amount: 1234.56
                        currency: USD
                        terms: 'sample terms of payment (up to 1,024 characters)'
                        successful: true
                      no_show: null
                      reconfirmation:
                        created_at: '2020-11-23T17:51:18.341657Z'
                        confirmed_at: '2020-11-23T20:01:18.341657Z'
                      scheduling_method: null
                      invitee_scheduled_by: null
                Canceled Invitee:
                  value:
                    resource:
                      cancel_url: 'https://calendly.com/cancellations/AAAAAAAAAAAAAAAA'
                      created_at: '2020-11-23T17:51:18.327602Z'
                      email: test@example.com
                      event: 'https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA'
                      name: John Doe
                      first_name: null
                      last_name: null
                      new_invitee: null
                      old_invitee: null
                      questions_and_answers: []
                      reschedule_url: 'https://calendly.com/reschedulings/AAAAAAAAAAAAAAAA'
                      rescheduled: false
                      status: canceled
                      text_reminder_number: null
                      timezone: America/New_York
                      tracking:
                        utm_campaign: null
                        utm_source: null
                        utm_medium: null
                        utm_content: null
                        utm_term: null
                        salesforce_uuid: null
                      updated_at: '2020-11-23T17:54:22.356897Z'
                      uri: 'https://api.calendly.com/scheduled_events/AAAAAAAAAAAAAAAA/invitees/AAAAAAAAAAAAAAAA'
                      cancellation:
                        canceled_by: John Doe
                        reason: Meeting Conflict
                        canceler_type: invitee
                        created_at: '2020-11-23T17:54:22.356897Z'
                      routing_form_submission: 'https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA'
                      payment:
                        external_id: ch_AAAAAAAAAAAAAAAAAAAAAAAA
                        provider: stripe
                        amount: 1234.56
                        currency: USD
                        terms: 'sample terms of payment (up to 1,024 characters)'
                        successful: true
                      no_show: null
                      reconfirmation: null
                      scheduling_method: null
                      invitee_scheduled_by: null
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/GET_INVITEE_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: get-scheduled-event-invitees
      security:
        - oauth2: []
        - personal_access_token: []
      description: |-
        Returns information about a specified Invitee (person invited to an event).

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:read`
  /invitees:
    post:
      summary: Create Event Invitee (Scheduling API)
      tags:
        - Scheduled Events
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                required:
                  - resource
                properties:
                  resource:
                    $ref: '#/components/schemas/Invitee'
        '400':
          description: Request is not valid
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - type: object
                    properties:
                      title:
                        type: string
                        enum:
                          - Invalid Argument
                          - Deprecated
                      message:
                        type: string
                        enum:
                          - The supplied parameters are invalid.
                          - Specified location kind is not configured for this event type.
                          - Required Questions and Answers cannot be blank.
                          - Event types that require payment cannot be scheduled via the API.
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/POST_INVITEES_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: post-invitee
      x-stoplight:
        id: p3ghrxrwbl8kqe
      description: |-
        Creates a new booking for an event invitee. Use this endpoint to book an invitee directly from your app without redirects, iframes, or Calendly-hosted UI.

        Standard notifications, calendar invites, reschedules, and workflows run as if booked via the Calendly UI.

        **NOTE:**
        * Access to this endpoint is limited to Calendly users on paid plans (Standard and above). Users on the Free plan will receive a 403 Forbidden response.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:write`
      x-internal: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - event_type
                - start_time
                - invitee
              properties:
                event_type:
                  type: string
                  x-stoplight:
                    id: a7jkew1bxxq4j
                  format: uri
                  description: 'Canonical reference (unique identifier) for the event type being scheduled '
                  example: 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA'
                start_time:
                  type: string
                  x-stoplight:
                    id: esu3e9ko2ic4f
                  format: date-time
                  description: The start time in UTC of the scheduled event
                  example: '2019-08-07T06:05:04.321123Z'
                invitee:
                  x-stoplight:
                    id: 33r4biixcw7aa
                  type: object
                  required:
                    - email
                    - timezone
                  properties:
                    name:
                      type: string
                      x-stoplight:
                        id: 0fmuo5ttqa3ys
                      description: The full name of the invitee. **Required if** `first_name` **is not provided**
                      example: John Smith
                    first_name:
                      type: string
                      x-stoplight:
                        id: mtx5mufknvhuj
                      description: The first name of the invitee. **Required if** `name` **is not provided**
                      example: John
                    last_name:
                      type: string
                      x-stoplight:
                        id: r96jzm1mdj3fv
                      description: The last name of the invitee
                      example: Smith
                    email:
                      type: string
                      x-stoplight:
                        id: 2nkp8zp5zotz0
                      description: The email of the invitee
                      example: test@example.com
                    timezone:
                      type: string
                      x-stoplight:
                        id: gsxlntypi4xwm
                      description: The timezone of the invitee
                      example: America/New_York
                    text_reminder_number:
                      type: string
                      x-stoplight:
                        id: up34qo0c1sxon
                      description: Invitee's phone number for SMS reminders. Must be a valid phone number (e.g. +14155551234)
                      example: +1 888-888-8888
                location:
                  $ref: '#/components/schemas/InviteeLocation'
                questions_and_answers:
                  type: array
                  items:
                    $ref: '#/components/schemas/InviteeQuestionAndAnswer'
                tracking:
                  $ref: '#/components/schemas/InviteeTracking'
                event_guests:
                  type: array
                  x-stoplight:
                    id: ws09zf1b2zd2i
                  description: Emails of invitee guests. Max 10.
                  maxItems: 10
                  items:
                    x-stoplight:
                      id: fy506ehfvcubw
                    type: string
                    format: email
                    example: janedoe@calendly.com
      security:
        - oauth2: []
        - personal_access_token: []
  '/scheduled_events/{uuid}':
    parameters:
      - schema:
          type: string
        name: uuid
        in: path
        required: true
        description: The event's unique identifier
    get:
      summary: Get Event
      tags:
        - Scheduled Events
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/Event'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/scheduled_events/GBGBDCAADAEDCRZ2'
                      name: 15 Minute Meeting
                      meeting_notes_plain: Internal meeting notes
                      meeting_notes_html: <p>Internal meeting notes</p>
                      status: active
                      booking_method: instant
                      start_time: '2019-08-24T14:15:22.000000Z'
                      end_time: '2019-08-24T14:15:22.000000Z'
                      event_type: 'https://api.calendly.com/event_types/GBGBDCAADAEDCRZ2'
                      location:
                        type: physical
                        location: Calendly Office
                        additional_info: Please check in at the main lobby.
                      invitees_counter:
                        total: 0
                        active: 0
                        limit: 0
                      created_at: '2019-01-02T03:04:05.678123Z'
                      updated_at: '2019-01-02T03:04:05.678123Z'
                      event_memberships:
                        - user: 'https://api.calendly.com/users/GBGBDCAADAEDCRZ2'
                          user_email: user@example.com
                          user_name: John Smith
                          buffered_end_time: '2019-08-24T14:15:22.000000Z'
                          buffered_start_time: '2019-08-24T14:15:22.000000Z'
                      event_guests:
                        - email: user@example.com
                          created_at: '2019-08-24T14:15:22.123456Z'
                          updated_at: '2019-08-24T14:15:22.123456Z'
                      calendar_event:
                        kind: google
                        external_id: 8suu9k3hj00mni03ss12ba0ce0
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/GET_INVITEES_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: get-scheduled-event
      security:
        - oauth2: []
        - personal_access_token: []
      description: |-
        Returns information about a specified Event.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:read`
  '/event_types/{uuid}':
    parameters:
      - schema:
          type: string
        name: uuid
        in: path
        required: true
    get:
      summary: Get Event Type
      tags:
        - Event Types
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/EventType'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA'
                      name: 15 Minute Meeting
                      active: true
                      booking_method: instant
                      slug: acmesales
                      scheduling_url: 'https://calendly.com/acmesales'
                      duration: 15
                      duration_options:
                        - 1
                        - 13
                        - 15
                        - 720
                      kind: solo
                      pooling_type: round_robin
                      type: StandardEventType
                      color: '#fff200'
                      created_at: '2019-01-02T03:04:05.678123Z'
                      updated_at: '2019-08-07T06:05:04.321123Z'
                      internal_note: Internal note
                      is_paid: false
                      description_plain: 15 Minute Meeting
                      description_html: <p>15 Minute Meeting</p>
                      profile:
                        type: User
                        name: Tamara Jones
                        owner: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                      secret: true
                      deleted_at: null
                      admin_managed: false
                      locations:
                        - kind: inbound_call
                          phone_number: + 380934567654
                          additional_info: Additional information about location
                      position: 0
                      custom_questions:
                        - name: Company Name
                          type: string
                          position: 0
                          enabled: true
                          required: true
                          answer_choices: []
                          include_other: false
                        - name: What would you like to discuss?
                          type: text
                          position: 0
                          enabled: true
                          required: true
                          answer_choices: []
                          include_other: false
                        - name: Number of employees
                          answer_choices:
                            - '1'
                            - 2-10
                            - 11-20
                            - 20+
                          enabled: true
                          include_other: true
                          position: 2
                          required: false
                          type: single_select
                        - name: Multi-Select Question
                          answer_choices:
                            - Answer 1
                            - Answer 2
                            - Answer 3
                            - Answer 4
                          enabled: true
                          include_other: true
                          position: 2
                          required: false
                          type: multi_select
                        - name: Phone Number
                          type: phone_number
                          position: 0
                          enabled: true
                          required: true
                          answer_choices: []
                          include_other: false
                      locale: en
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: get-event-type
      security:
        - oauth2: []
        - personal_access_token: []
      description: |-
        Returns information about a specified Event Type.

        <!-- theme: info -->
          > #### Required scopes: `event_types:read`
    patch:
      summary: Update Event Type
      description: |-
        Update an existing Event Type

        **NOTE:**
        * Currently, this endpoint only supports one-on-one event types (kind: "solo").

        <!-- theme: info -->
          > #### Required scopes: `event_types:write`
      x-internal: false
      tags:
        - Event Types
      security:
        - oauth2: []
        - personal_access_token: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/EventType'
                required:
                  - resource
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: update-event-type
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                active:
                  type: boolean
                  description: Indicates if the event type is active or not
                name:
                  type: string
                  description: The event type name
                  example: 15 Minute Meeting
                color:
                  description: The hexadecimal color value of the event type's scheduling page
                  type: string
                  pattern: '^#[a-f\d]{6}$'
                  example: '#fff200'
                description:
                  type: string
                  description: The event type description
                  example: 15 Minute Meeting
                duration:
                  type: integer
                  description: The length of sessions booked with this event type. Must be one of the duration options if they're provided.
                  example: 15
                  minimum: 1
                  maximum: 720
                duration_options:
                  type: array
                  items:
                    type: integer
                  example:
                    - 1
                    - 13
                    - 15
                    - 720
                  description: A maximum of 4 unique options is allowed. Each option must be >= 1 and <= 720.
                locale:
                  type: string
                  enum:
                    - de
                    - en
                    - es
                    - fr
                    - it
                    - nl
                    - pt
                    - uk
                  example: de
                  description: 'The locale on the event type, used to determine the language of the event type''s scheduling page'
                locations:
                  type: array
                  description: Configuration information for each possible location for this Event Type
                  items:
                    $ref: '#/components/schemas/LocationConfiguration'
  '/organizations/{uuid}/invitations':
    parameters:
      - schema:
          type: string
        name: uuid
        in: path
        required: true
        description: The organization's unique identifier
    get:
      summary: List Organization Invitations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  collection:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrganizationInvitation'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - collection
                  - pagination
              examples:
                Example:
                  value:
                    collection:
                      - uri: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA/invitations/BBBBBBBBBBBBBBBB'
                        organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                        email: test@example.com
                        status: accepted
                        created_at: '2019-08-07T06:05:04.321123Z'
                        updated_at: '2019-01-02T03:04:05.678123Z'
                        last_sent_at: '2019-01-02T03:04:05.678123Z'
                        user: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                    pagination:
                      count: 20
                      next_page: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA/invitations?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi'
                      previous_page: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA/invitations?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H'
                      next_page_token: sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi
                      previous_page_token: VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: list-organization-invitations
      description: |-
        Returns a list of Organization Invitations that were sent to the organization's members.

        <!-- theme: info -->
          > #### Required scopes: `organizations:read`
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - $ref: '#/components/parameters/Count'
        - $ref: '#/components/parameters/PageToken'
        - schema:
            type: string
            default: 'created_at:asc'
          in: query
          name: sort
          description: Order results by the field name and direction specified (ascending or descending). Returns multiple sets of results in a comma-separated list.
        - schema:
            type: string
            format: email
            example: bob@example.com
          in: query
          name: email
          description: Indicates if the results should be filtered by email address
        - schema:
            type: string
            enum:
              - pending
              - accepted
              - declined
          in: query
          name: status
          description: 'Indicates if the results should be filtered by status  ("pending", "accepted", or "declined")'
      tags:
        - Organizations
    post:
      summary: Invite User to Organization
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/OrganizationInvitation'
                required:
                  - resource
              examples:
                Invitation:
                  value:
                    resource:
                      created_at: '2020-01-01T20:30:00.000000Z'
                      email: email@example.com
                      last_sent_at: '2020-01-01T20:30:00.123456Z'
                      organization: 'https://api.calendly.com/organizations/ABCDABCDABCDABCD'
                      status: pending
                      updated_at: '2020-01-01T20:30:00.000000Z'
                      uri: 'https://api.calendly.com/organizations/ABCDABCDABCDABCD/invitations/DCBADCBADCBADCBA'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Email is Invalid:
                  value:
                    title: Invalid Email
                    message: invalid_email@example is an invalid email format
                Email is Blank:
                  value:
                    title: Invalid Argument
                    message: The supplied parameters are invalid.
                    details:
                      - parameter: email
                        message: must be filled
                Email Exists in Organization:
                  value:
                    title: Already Organization Member
                    message: email@example.com is already in the organization
                Invitation Already Exists:
                  value:
                    title: Already Invited
                    message: email@example.com has already been invited
                Race Condition:
                  value:
                    title: Race Condition
                    message: A race condition occurred when processing the request.  Please try the request again.
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/ORGANIZATION_INVITATION_CREATE_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: create-organization-invitation
      description: |-
        Invites a user to an organization.

        <!-- theme: info -->
          > #### Required scopes: `organizations:write`
      security:
        - oauth2: []
        - personal_access_token: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  description: The email of the user being invited
                  format: email
                  example: alice@example.com
              required:
                - email
            examples:
              Example:
                value:
                  email: alice@example.com
      tags:
        - Organizations
  '/organizations/{org_uuid}/invitations/{uuid}':
    parameters:
      - schema:
          type: string
        name: org_uuid
        in: path
        required: true
        description: The organization’s unique identifier
      - schema:
          type: string
        name: uuid
        in: path
        description: The organization invitation's unique identifier
        required: true
    delete:
      summary: Revoke User's Organization Invitation
      tags:
        - Organizations
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                Invitation Already Accepted:
                  value:
                    title: Invitation Already Accepted
                    message: The invitation has already been accepted.
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/ORGANIZATION_INVITATION_DELETE_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      operationId: revoke-organization-invitation
      description: |-
        Use this to revoke an Organization Invitation to an organization. Once revoked, the invitation link that was sent to the invitee is no longer valid.

        <!-- theme: info -->
          > #### Required scopes: `organizations:write`
      security:
        - oauth2: []
        - personal_access_token: []
    get:
      summary: Get Organization Invitation
      operationId: get-organization-invitation
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/OrganizationInvitation'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA/invitations/BBBBBBBBBBBBBBBB'
                      organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      email: test@example.com
                      status: accepted
                      created_at: '2019-08-07T06:05:04.321123Z'
                      updated_at: '2019-01-02T03:04:05.678123Z'
                      last_sent_at: '2019-01-02T03:04:05.678123Z'
                      user: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Returns an Organization Invitation that was sent to the organization's members.

        <!-- theme: info -->
          > #### Required scopes: `organizations:read`
      security:
        - oauth2: []
        - personal_access_token: []
      tags:
        - Organizations
  '/organization_memberships/{uuid}':
    get:
      summary: Get Organization Membership
      tags:
        - Organizations
      security:
        - oauth2: []
        - personal_access_token: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/OrganizationMembership'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA'
                      role: admin
                      user:
                        uri: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                        name: John Doe
                        slug: acmesales
                        email: test@example.com
                        scheduling_url: 'https://calendly.com/acmesales'
                        timezone: America/New York
                        time_notation: 12h
                        avatar_url: 'https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png'
                        locale: en
                        created_at: '2019-01-02T03:04:05.678123Z'
                        updated_at: '2019-08-07T06:05:04.321123Z'
                      organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      updated_at: '2019-08-07T06:05:04.321123Z'
                      created_at: '2019-01-02T03:04:05.678123Z'
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/USER_NOT_IN_ORG_GENERIC_and_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Returns information about a user's Organization Membership

        <!-- theme: info -->
          > #### Required scopes: `organizations:read`
      operationId: get-organization-membership
    delete:
      summary: Remove User from Organization
      tags:
        - Organizations
      operationId: delete-organization-membership
      responses:
        '204':
          description: No Content
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/ORG_MEMBERSHIP_DELETE_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Removes a user from an organization.

        Notes:

        * To remove users, the caller must have admin rights for the organization

        * An organization owner can't be removed

        <!-- theme: info -->
          > #### Required scopes: `organizations:write`
      security:
        - oauth2: []
        - personal_access_token: []
    parameters:
      - schema:
          type: string
        name: uuid
        in: path
        required: true
        description: The organization membership's unique identifier
  /organization_memberships:
    get:
      summary: List Organization Memberships
      tags:
        - Organizations
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Count'
        - schema:
            type: string
            format: email
            example: user@example.com
          in: query
          name: email
          description: Indicates if the results should be filtered by email address
        - schema:
            type: string
            format: uri
            example: 'https://api.calendly.com/organizations/012345678901234567890'
          in: query
          name: organization
          description: Indicates if the results should be filtered by organization
        - schema:
            type: string
            example: 'https://api.calendly.com/users/012345678901234567890'
            format: uri
          in: query
          name: user
          description: Indicates if the results should be filtered by user
        - schema:
            type: string
            enum:
              - owner
              - admin
              - user
            example: owner
          in: query
          name: role
          description: Indicates if the results should be filtered by role
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                properties:
                  collection:
                    type: array
                    items:
                      $ref: '#/components/schemas/OrganizationMembership'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - collection
                  - pagination
              examples:
                Example:
                  value:
                    collection:
                      - uri: 'https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA'
                        role: admin
                        user:
                          uri: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                          name: John Doe
                          slug: acmesales
                          email: test@example.com
                          scheduling_url: 'https://calendly.com/acmesales'
                          timezone: America/New York
                          time_notation: 12h
                          avatar_url: 'https://01234567890.cloudfront.net/uploads/user/avatar/0123456/a1b2c3d4.png'
                          locale: en
                          created_at: '2019-01-02T03:04:05.678123Z'
                          updated_at: '2019-08-07T06:05:04.321123Z'
                        organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                        updated_at: '2019-08-07T06:05:04.321123Z'
                        created_at: '2019-01-02T03:04:05.678123Z'
                    pagination:
                      count: 20
                      next_page: 'https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi'
                      previous_page: 'https://api.calendly.com/organization_memberships/AAAAAAAAAAAAAAAA?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H'
                      next_page_token: sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi
                      previous_page_token: VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/USER_NOT_IN_ORG_GENERIC_and_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Use this to list the Organization Memberships for all users belonging to an organization, use:

        * `user` to look up a user's membership in an organization

        * `organization` to look up all users that belong to the organization

        This endpoint can also be used to retrieve your organization URI.

        <!-- theme: info -->
          > #### Required scopes: `organizations:read`
      operationId: list-organization-memberships
    parameters: []
  /webhook_subscriptions:
    post:
      summary: Create Webhook Subscription
      operationId: createwebhooks
      responses:
        '201':
          headers:
            Location:
              schema:
                type: string
                format: uri
                example: 'https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA'
                description: Canonical reference (unique identifier) for the webhook
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/WebhookSubscription'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA'
                      callback_url: 'https://blah.foo/bar'
                      created_at: '2019-08-24T14:15:22.123456Z'
                      updated_at: '2019-08-24T14:15:22.123456Z'
                      retry_started_at: '2019-08-24T14:15:22.123456Z'
                      state: active
                      events:
                        - invitee.created
                      scope: user
                      organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      user: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                      group: 'https://api.calendly.com/groups/AAAAAAAAAAAAAAAA'
                      creator: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/POST_WEBHOOK_SUBS_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '409':
          description: Attempt to create a resource that already exists
          content:
            application/json:
              examples:
                URL Already Exists:
                  value:
                    title: Already Exists
                    message: Hook with this url already exists
              schema:
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
                  - type: object
                    properties:
                      title:
                        type: string
                        enum:
                          - Already Exists
                      message:
                        type: string
                        enum:
                          - Hook with this url already exists
      description: |-
        Create a Webhook Subscription for an Organization, User, or Group.

        * The `organization` subscription scope triggers the webhook for all subscribed events within the organization.
        * The `user` subscription scope only triggers the webhook for subscribed events that belong to the specific user.
        * The `group` subscription scope only triggers the webhook for subscribed events that belong to the specfic group.

        | Event | Allowed Subscription Scopes | Required Auth Scope |
        | ----- | ----- | ----- |
        | invitee.created | `organization` `user` `group` | `scheduled_events:read` |
        | invitee.canceled | `organization` `user` `group` | `scheduled_events:read` |
        | invitee_no_show.created | `organization` `user` `group` | `scheduled_events:read` |
        | invitee_no_show.deleted | `organization` `user` `group` | `scheduled_events:read` |
        | event_type.created | `organization` `user` `group` | `event_types:read` |
        | event_type.deleted | `organization` `user` `group` | `event_types:read` |
        | event_type.updated | `organization` `user` `group` | `event_types:read` |
        | meeting_recap.created | `user` | `meeting_recaps:read` |
        | meeting_recap.updated | `user` | `meeting_recaps:read` |
        | meeting_recap.deleted | `user` | `meeting_recaps:read` |
        | routing_form_submission.created | `organization` <br /> <small>Create separate Webhook Subscriptions for events with different subscription scopes.</small> | `routing_forms:read` |
        | contact.created | `organization` `user` `group` | `contacts:read` |
        | contact.updated | `organization` `user` `group` | `contacts:read` |
        | contact.deleted | `organization` `user` `group` | `contacts:read` |

        <!-- theme: info -->
          > #### Required scopes: `webhooks:write`
      tags:
        - Webhooks
      security:
        - oauth2: []
        - personal_access_token: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url
                - events
                - organization
                - scope
              properties:
                url:
                  type: string
                  description: The URL where you want to receive POST requests for events you are subscribed to.
                  format: uri
                events:
                  type: array
                  description: List of user events to subscribe to.
                  uniqueItems: true
                  items:
                    type: string
                    enum:
                      - invitee.canceled
                      - invitee.created
                      - invitee_no_show.created
                      - invitee_no_show.deleted
                      - meeting_recap.created
                      - meeting_recap.updated
                      - meeting_recap.deleted
                      - routing_form_submission.created
                      - contact.created
                      - contact.updated
                      - contact.deleted
                organization:
                  type: string
                  description: The unique reference to the organization that the webhook will be tied to.
                  format: uri
                user:
                  type: string
                  description: The unique reference to the user that the webhook will be tied to.
                  format: uri
                group:
                  type: string
                  x-stoplight:
                    id: 8057a9uhym5v9
                  format: uri
                  description: The unique reference to the group that the webhook will be tied to.
                scope:
                  type: string
                  enum:
                    - organization
                    - user
                    - group
                  description: 'Indicates whether the webhook subscription scope is `organization`, `user`, or `group`'
                signing_key:
                  type: string
                  description: 'Optional secret key shared between your application and Calendly. See https://developer.calendly.com/api-docs/ZG9jOjM2MzE2MDM4-webhook-signatures for additional information.'
            examples:
              User Scope Webhook:
                value:
                  url: 'https://blah.foo/bar'
                  events:
                    - invitee.created
                    - invitee.canceled
                    - invitee_no_show.created
                    - invitee_no_show.deleted
                    - meeting_recap.created
                    - meeting_recap.updated
                    - meeting_recap.deleted
                    - contact.created
                    - contact.updated
                    - contact.deleted
                  organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                  user: 'https://api.calendly.com/users/BBBBBBBBBBBBBBBB'
                  scope: user
                  signing_key: 5mEzn9C-I28UtwOjZJtFoob0sAAFZ95GbZkqj4y3i0I
              Organization Scope Webhook:
                value:
                  url: 'https://blah.foo/bar'
                  events:
                    - invitee.created
                    - invitee.canceled
                    - invitee_no_show.created
                    - invitee_no_show.deleted
                    - routing_form_submission.created
                    - contact.created
                    - contact.updated
                    - contact.deleted
                  organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                  scope: organization
                  signing_key: 5mEzn9C-I28UtwOjZJtFoob0sAAFZ95GbZkqj4y3i0I
              Group Scope Webhook:
                value:
                  url: 'https://blah.foo/bar'
                  events:
                    - invitee.created
                    - invitee.canceled
                    - invitee_no_show.created
                    - invitee_no_show.deleted
                    - contact.created
                    - contact.updated
                    - contact.deleted
                  organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                  group: 'https://api.calendly.com/groups/BBBBBBBBBBBBBBBB'
                  scope: group
                  signing_key: 5mEzn9C-I28UtwOjZJtFoob0sAAFZ95GbZkqj4y3i0I
        description: ''
    get:
      summary: List Webhook Subscriptions
      operationId: list-webhook-subscriptions
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  collection:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookSubscription'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
                required:
                  - collection
                  - pagination
              examples:
                Example:
                  value:
                    collection:
                      - uri: 'https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA'
                        callback_url: 'https://blah.foo/bar'
                        created_at: '2019-08-24T14:15:22.123456Z'
                        updated_at: '2019-08-24T14:15:22.123456Z'
                        retry_started_at: '2019-08-24T14:15:22.123456Z'
                        state: active
                        events:
                          - invitee.created
                        scope: user
                        organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                        user: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                        group: 'https://api.calendly.com/groups/AAAAAAAAAAAAAAAA'
                        creator: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                    pagination:
                      count: 20
                      next_page: 'https://api.calendly.com/webhook_subscriptions?count=1&page_token=sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi'
                      previous_page: 'https://api.calendly.com/webhook_subscriptions?count=1&page_token=VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H'
                      next_page_token: sNjq4TvMDfUHEl7zHRR0k0E1PCEJWvdi
                      previous_page_token: VJs2rfDYeY8ahZpq0QI1O114LJkNjd7H
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/GET_WEBHOOK_SUBS_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
      security:
        - oauth2: []
        - personal_access_token: []
      description: |-
        Get a list of Webhook Subscriptions for a specified Organization, User, or Group.

        <!-- theme: info -->
          > #### Required scopes: `webhooks:read`
      tags:
        - Webhooks
      parameters:
        - schema:
            type: string
            format: uri
            example: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
          in: query
          name: organization
          description: The given organization that owns the subscriptions being returned. This field is always required.
          required: true
        - schema:
            type: string
            format: uri
            example: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
          in: query
          name: user
          description: Indicates if the results should be filtered by user. This parameter is only required if the `scope` parameter is set to `user`.
        - schema:
            type: string
            format: uri
            example: 'https://api.calendly.com/groups/AAAAAAAAAAAAAAAA'
          in: query
          name: group
          description: Indicates if the results should be filtered by group. This parameter is only required if the `scope` parameter is set to `group`.
        - $ref: '#/components/parameters/PageToken'
        - $ref: '#/components/parameters/Count'
        - schema:
            type: string
          in: query
          name: sort
          description: |-
            Order results by the specified field and direction. Accepts comma-separated list of {field}:{direction} values.
            Supported fields are: created_at.
            Sort direction is specified as: asc, desc.
        - schema:
            type: string
            enum:
              - organization
              - user
              - group
          in: query
          name: scope
          description: 'Filter the list by organization, user, or group'
          required: true
  '/webhook_subscriptions/{webhook_uuid}':
    parameters:
      - schema:
          type: string
        name: webhook_uuid
        in: path
        required: true
    get:
      summary: Get Webhook Subscription
      tags:
        - Webhooks
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/WebhookSubscription'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/webhook_subscriptions/AAAAAAAAAAAAAAAA'
                      callback_url: 'https://blah.foo/bar'
                      created_at: '2019-08-24T14:15:22.123456Z'
                      updated_at: '2019-08-24T14:15:22.123456Z'
                      retry_started_at: '2019-08-24T14:15:22.123456Z'
                      state: active
                      events:
                        - invitee.created
                      scope: user
                      organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      user: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
                      group: 'https://api.calendly.com/groups/AAAAAAAAAAAAAAAA'
                      creator: 'https://api.calendly.com/users/AAAAAAAAAAAAAAAA'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
      operationId: get-webhook-subscription
      description: |-
        Get a specified Webhook Subscription.

        <!-- theme: info -->
          > #### Required scopes: `webhooks:read`
      security:
        - oauth2: []
        - personal_access_token: []
    delete:
      summary: Delete Webhook Subscription
      operationId: delete-webhook-subscription
      description: |-
        Delete a Webhook Subscription.

        <!-- theme: info -->
          > #### Required scopes: `webhooks:write`
      responses:
        '204':
          description: No Content
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      tags:
        - Webhooks
      security:
        - oauth2: []
        - personal_access_token: []
  /scheduling_links:
    post:
      tags:
        - Scheduling Links
      summary: Create Single-Use Scheduling Link
      operationId: create-scheduling-link
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    type: object
                    required:
                      - booking_url
                    properties:
                      booking_url:
                        type: string
                        description: Scheduling link url
                        format: uri
                        example: 'https://calendly.com/d/abcd-brv8/15-minute-meeting'
                      owner:
                        type: string
                        description: 'A link to the resource that owns this Scheduling Link (currently, this is always an Event Type)'
                        format: uri
                        example: 'https://api.calendly.com/event_types/GBGBDCAADAEDCRZ2'
                      owner_type:
                        type: string
                        example: EventType
                        enum:
                          - EventType
                        description: 'Resource type (currently, this is always EventType)'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      booking_url: 'https://calendly.com/d/abcd-brv8/15-minute-meeting'
                      owner: 'https://api.calendly.com/event_types/GBGBDCAADAEDCRZ2'
                      owner_type: EventType
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Creates a single-use scheduling link.

        <!-- theme: info -->
          > #### Required scopes: `scheduling_links:write`
      security:
        - oauth2: []
        - personal_access_token: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                max_event_count:
                  type: number
                  description: The max number of events that can be scheduled using this scheduling link.
                  enum:
                    - 1
                  example: 1
                owner:
                  type: string
                  description: 'A link to the resource that owns this Scheduling Link (currently, this is always an Event Type)'
                  format: uri
                  example: 'https://api.calendly.com/event_types/012345678901234567890'
                owner_type:
                  type: string
                  example: EventType
                  enum:
                    - EventType
                  description: 'Resource type (currently, this is always EventType)'
              required:
                - max_event_count
                - owner
                - owner_type
            examples:
              Create Single Use Link:
                value:
                  max_event_count: 1
                  owner: 'https://api.calendly.com/event_types/012345678901234567890'
                  owner_type: EventType
        description: ''
  /data_compliance/deletion/invitees:
    post:
      summary: Delete Invitee Data
      security:
        - oauth2: []
        - personal_access_token: []
      tags:
        - Data Compliance
      operationId: delete-invitee-data
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                emails:
                  type: array
                  items:
                    type: string
                    format: email
                    example: test@example.com
              required:
                - emails
            examples:
              Example:
                value:
                  emails:
                    - test@example.com
        description: ''
      responses:
        '202':
          description: Accepted
          content:
            application/json:
              schema:
                type: object
                properties: {}
              examples:
                Example:
                  value: {}
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/DATA_COMPLIANCE_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        To submit a request to remove invitee data from all previously booked events in your organization, use this endpoint. Requests for data deletion can take up to 7 days to complete.

        <!-- theme: info -->
          > This endpoint requires an <strong>Enterprise</strong> subscription.
          >
          > #### Required scopes: `data_compliance:write`
  '/invitee_no_shows/{uuid}':
    parameters:
      - schema:
          type: string
        name: uuid
        in: path
        required: true
    get:
      summary: Get Invitee No Show
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/InviteeNoShow'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/invitee_no_shows/639fa667-4c1b-4b20-93b5-1b1969d67dc6'
                      invitee: 'https://api.calendly.com/scheduled_events/GBGBDCAADAEDCRZ2/invitees/7c1dbe46-bd84-42e2-9b97-05e2fb379bfe'
                      created_at: '2019-01-02T03:04:05.678123Z'
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
      operationId: get-invitee-no-show
      description: |-
        Returns information about a specified Invitee No Show.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:read`
      tags:
        - Scheduled Events
      security:
        - oauth2: []
        - personal_access_token: []
    delete:
      summary: Delete Invitee No Show
      operationId: delete-invitee-no-show
      responses:
        '204':
          description: No Content
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Undoes marking an Invitee as a No Show.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:write`
      tags:
        - Scheduled Events
      security:
        - oauth2: []
        - personal_access_token: []
  /invitee_no_shows:
    parameters: []
    post:
      summary: Create Invitee No Show
      operationId: create-invitee-no-show
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/InviteeNoShow'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/invitee_no_shows/639fa667-4c1b-4b20-93b5-1b1969d67dc6'
                      invitee: 'https://api.calendly.com/scheduled_events/GBGBDCAADAEDCRZ2/invitees/7c1dbe46-bd84-42e2-9b97-05e2fb379bfe'
                      created_at: '2019-01-02T03:04:05.678123Z'
        '400':
          $ref: '#/components/responses/INVALID_ARGUMENT'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Marks an Invitee as a No Show.

        <!-- theme: info -->
          > #### Required scopes: `scheduled_events:write`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                invitee:
                  type: string
                  format: uri
                  example: 'https://api.calendly.com/scheduled_events/GBGBDCAADAEDCRZ2/invitees/7c1dbe46-bd84-42e2-9b97-05e2fb379bfe'
            examples:
              Example:
                value:
                  invitee: 'https://api.calendly.com/scheduled_events/GBGBDCAADAEDCRZ2/invitees/7c1dbe46-bd84-42e2-9b97-05e2fb379bfe'
      tags:
        - Scheduled Events
      security:
        - oauth2: []
        - personal_access_token: []
  '/groups/{uuid}':
    get:
      x-internal: false
      summary: Get Group
      security:
        - oauth2: []
        - personal_access_token: []
      parameters:
        - name: uuid
          in: path
          description: Group unique identifier
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                description: Service response
                properties:
                  resource:
                    $ref: '#/components/schemas/Group'
                required:
                  - resource
              examples:
                Example:
                  value:
                    resource:
                      uri: 'https://api.calendly.com/groups/AAAAAAAAAAAAAAAA'
                      name: Sales Team
                      organization: 'https://api.calendly.com/organizations/AAAAAAAAAAAAAAAA'
                      created_at: '2019-01-02T03:04:05.678123Z'
                      updated_at: '2019-08-07T06:05:04.321123Z'
        '401':
          $ref: '#/components/responses/UNAUTHENTICATED'
        '403':
          $ref: '#/components/responses/PERMISSION_DENIED_AND_SCOPES_FORBIDDEN'
        '404':
          $ref: '#/components/responses/NOT_FOUND'
        '500':
          $ref: '#/components/responses/UNKNOWN'
      description: |-
        Returns information about a specified Group.

        <!-- theme: info -->
          > #### Required scopes: `groups:read`
      operationId: get-group
      tags:
        - Groups
  /group_relationships:
    get:
      summary: List Group Relationships
      description: |-
        Returns a list of group relationships - a given owner can have one membership record, but multiple admin records

[...]
